#  V1290.defn.tcl


   set addressinfo [split $AddressData :]
   set A32Base [third $addressinfo]


   DefineRegister $Module xVME Status              "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Status.DRDY         "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 1 -b 0 -z d"
   DefineRegister $Module xVME Status.AMFull       "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 1 -b 1 -z d"
   DefineRegister $Module xVME Status.Full         "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 1 -b 2 -z d"
   DefineRegister $Module xVME Status.TrgMatch     "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 1 -b 3 -z d"
   DefineRegister $Module xVME Status.HdrEnabl     "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 1 -b 4 -z d"
   DefineRegister $Module xVME Status.Term         "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 1 -b 5 -z d"
   DefineRegister $Module xVME Status.Error        "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 4 -b 6 -z d"

   DefineRegister $Module xVME Ctrl                "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Ctrl.BERR           "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 1 -b 0 -z d"
   DefineRegister $Module xVME Ctrl.TERM           "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 1 -b 1 -z d"
   DefineRegister $Module xVME Ctrl.Term_Mode      "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 1 -b 2 -z d"
   DefineRegister $Module xVME Ctrl.Event_Mode     "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 1 -b 3 -z d"
   DefineRegister $Module xVME Ctrl.Align64        "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 1 -b 4 -z d"
   DefineRegister $Module xVME Ctrl.TestMode       "-a $A32Base -w 32 -o 0x1000 -p rw -d 16 -l 1 -b 5 -z d"

   DefineRegister $Module xVME ADER_HIGH           "-a $A32Base -w 32 -o 0x1004 -p rw -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME ADER_LOW            "-a $A32Base -w 32 -o 0x1006 -p rw -d 16 -l 8 -b 0 -z x"
   DefineRegister $Module xVME ADER_ENABLE         "-a $A32Base -w 32 -o 0x1008 -p wo -d 16 -l 1 -b 0 -z x"
   DefineRegister $Module xVME MCST/CBLT_Address   "-a $A32Base -w 32 -o 0x1010 -p rw -d 16 -l 8 -b 0 -z x -i 0xAA"
   DefineRegister $Module xVME MCST/CBLT_Ctrl      "-a $A32Base -w 32 -o 0x1012 -p wo -d 16 -l 2 -b 0 -z x"

   DefineRegister $Module xVME EvCounter           "-a $A32Base -w 32 -o 0x101c -p ro -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME EvStored            "-a $A32Base -w 32 -o 0x1020 -p ro -d 16 -l 0 -b 0 -z d"

   DefineRegister $Module xVME HWM                 "-a $A32Base -w 32 -o 0x1022 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME TestReg             "-a $A32Base -w 32 -o 0x1028 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME OUT_PROG            "-a $A32Base -w 32 -o 0x102c -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME OpCodeCtrl          "-a $A32Base -w 32 -o 0x1030 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME OpCode              "-a $A32Base -w 32 -o 0x102e -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME OpCode_Cmd          "-a $A32Base -w 32 -o 0x102e -p rw -d 16 -l 8 -b 8 -z x"
   DefineRegister $Module xVME OpCode_Obj          "-a $A32Base -w 32 -o 0x102e -p rw -d 16 -l 8 -b 0 -z x"

   DefineRegister $Module xVME Clear               "-a $A32Base -w 32 -o 0x1018 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Reset               "-a $A32Base -w 32 -o 0x1014 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME SoftTrig            "-a $A32Base -w 32 -o 0x101c -p wo -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME Test16              "-a $A32Base -w 32 -o 0x1204 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Test32              "-a $A32Base -w 32 -o 0x1200 -p rw -d 32 -l 0 -b 0 -z x"

   DefineRegister $Module xVME Firmware            "-a $A32Base -w 32 -o 0x1026 -p ro -d 16 -l 8 -b 0 -z x"

   DefineRegister $Module xVME Version             "-a $A32Base -w 32 -o 0x4030 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module bVME DataItem       "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -z x -l 64"
   DefineRegister $Module xVME Output_Word         "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"


puts "Defined $Module"
