


    variable MRegisterMenu {"Configuration" "Buffer Organisation" "Acquisition Window" \
       "Channel Enable Mask" "Trigger Source Enable Mask" "Front Panel Trigger Out Enable Mask" \
       "Analog Monitor" "Front Panel I/O Control" "Acquisition Control" "Acquisition Status" \
       "VME Control" "VME Status"}

if {$::V1724::DPPEnable} {
    variable ChRegisterMenu {STATUS DPP_PAR1 DPP_PAR2 DPP_PAR3 DPP_PAR4 OCCUPANCY DAC "Post Trigger Window"}
} else {
    variable ChRegisterMenu {STATUS ZS_THRES ZS_NSAMP THRESHOLD OVERUNDER OCCUPANCY DAC}
}

    variable MRegister CONFIGURATION
    variable MRegisterItem CONFIGURATION
    variable ChRegister STATUS
    variable ChRegisterItem STATUS

if {$::V1724::DPPEnable} {

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR1.Value$i 0
        variable DPP_PAR1.RiseTime$i 0
        variable DPP_PAR1.AveragingWindow$i 0
        variable DPP_PAR1.DecayTime$i 0
    }

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR2.Value$i 0
        variable DPP_PAR2.TrapezoidRiseTime$i 0
        variable DPP_PAR2.TrapezoidFlatTop$i 0
        variable DPP_PAR2.PeakValue2Divider$i 0
        variable DPP_PAR2.BaseLineMean$i 0
    }

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR3.Value$i 0
        variable DPP_PAR3.Threshold$i 0
        variable DPP_PAR3.Decimation$i 0
        variable DPP_PAR3.FlatTopDelay$i 0
        variable DPP_PAR3.PeakAvWindow$i 0
        variable DPP_PAR3.DigitalGain$i 0
    }

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR4.Value$i 0
        variable DPP_PAR4.TrigWinWidth$i 0
        variable DPP_PAR4.TrigWinOffset$i 0
    }

} else {

    for {set i 0} {$i < 8} {incr i} {
        variable ZS_THRES.Logic$i Positive
        variable ZS_THRES.Weight$i Fine
        variable ZS_THRES.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable ZS_NSAMP.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable THRESHOLD.Value$i $i
    }


}












    variable BLTEVNUM 0



